#
# spec file for package python-irclib
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           python-irclib
Version:        0.4.8
Release:        20.2
License:        LGPL-2.1+
Summary:        A set of Python modules for IRC support
Url:            http://python-irclib.sourceforge.net
Group:          Development/Libraries/Python
Source:         http://downloads.sourceforge.net/%{name}/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  python-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} > 1110
BuildArch:      noarch
%endif

%description
This library is intended to encapsulate the IRC protocol at a quite
low level.  It provides an event-driven IRC client framework.  It has
a fairly thorough support for the basic IRC protocol, CTCP and DCC
connections.

%prep
%setup -q
sed -i 's/\r//g' *

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot} --record-rpm=INSTALLED_FILES

%clean
rm -rf %{buildroot}

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc COPYING ChangeLog README dccreceive dccsend irccat irccat2 servermap testbot.py

%changelog
* Thu Jan  3 2013 toddrme2178@gmail.com
- Fix building on SLES
* Thu Dec  9 2010 prusnak@opensuse.org
- created package (version 0.4.8)
